<template>
  <button @click="onClick($event)" :class="{[buttonStyle]:true,[size]:true,'active':active }" :disabled="disabled">
    <slot />
  </button>
</template>
<script>
import { EVENT_CLICK } from '../lib/events';
const supportedStyles = ["primary", "secondary", "teritary", "error", "error-alt", "filter"];
export default {
  props: {
    secondary: { type: Boolean },
    theme: { type: String, default: 'primary' },
    disabled: { type: Boolean, default: false },
    size: { type: String, default: '' },
    active: { type: Boolean, default: false }
  },
  computed: {
    buttonStyle() {
      const style = (this.secondary) ? 'secondary' : (supportedStyles.includes(this.theme) && this.theme);
      if (!style) return '';
      return style;
    },
  },
  methods: {
    async onClick(event) {
      this.$emit(EVENT_CLICK,event);
    }
  }
}

</script>
